﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.Repository.Connection {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="Connection.IDIServerLogin")]
    public interface IDIServerLogin {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/Login", ReplyAction="http://tempuri.org/IDIServerLogin/LoginResponse")]
        ARGNS.Model.Implementations.CompanyConn Login(ARGNS.Model.Implementations.CompanyConn pParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/Login", ReplyAction="http://tempuri.org/IDIServerLogin/LoginResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.CompanyConn> LoginAsync(ARGNS.Model.Implementations.CompanyConn pParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/Logout", ReplyAction="http://tempuri.org/IDIServerLogin/LogoutResponse")]
        string Logout(string pSession);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/Logout", ReplyAction="http://tempuri.org/IDIServerLogin/LogoutResponse")]
        System.Threading.Tasks.Task<string> LogoutAsync(string pSession);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/CheckApparelInstallation", ReplyAction="http://tempuri.org/IDIServerLogin/CheckApparelInstallationResponse")]
        bool CheckApparelInstallation(ARGNS.Model.Implementations.CompanyConn pParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/CheckApparelInstallation", ReplyAction="http://tempuri.org/IDIServerLogin/CheckApparelInstallationResponse")]
        System.Threading.Tasks.Task<bool> CheckApparelInstallationAsync(ARGNS.Model.Implementations.CompanyConn pParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/GetCompanySAPConfig", ReplyAction="http://tempuri.org/IDIServerLogin/GetCompanySAPConfigResponse")]
        ARGNS.Model.Implementations.CompanySAPConfig GetCompanySAPConfig(ARGNS.Model.Implementations.CompanyConn pCompany);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IDIServerLogin/GetCompanySAPConfig", ReplyAction="http://tempuri.org/IDIServerLogin/GetCompanySAPConfigResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.CompanySAPConfig> GetCompanySAPConfigAsync(ARGNS.Model.Implementations.CompanyConn pCompany);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IDIServerLoginChannel : ARGNS.Repository.Connection.IDIServerLogin, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class DIServerLoginClient : System.ServiceModel.ClientBase<ARGNS.Repository.Connection.IDIServerLogin>, ARGNS.Repository.Connection.IDIServerLogin {
        
        public DIServerLoginClient() {
        }
        
        public DIServerLoginClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public DIServerLoginClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public DIServerLoginClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public DIServerLoginClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ARGNS.Model.Implementations.CompanyConn Login(ARGNS.Model.Implementations.CompanyConn pParam) {
            return base.Channel.Login(pParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.CompanyConn> LoginAsync(ARGNS.Model.Implementations.CompanyConn pParam) {
            return base.Channel.LoginAsync(pParam);
        }
        
        public string Logout(string pSession) {
            return base.Channel.Logout(pSession);
        }
        
        public System.Threading.Tasks.Task<string> LogoutAsync(string pSession) {
            return base.Channel.LogoutAsync(pSession);
        }
        
        public bool CheckApparelInstallation(ARGNS.Model.Implementations.CompanyConn pParam) {
            return base.Channel.CheckApparelInstallation(pParam);
        }
        
        public System.Threading.Tasks.Task<bool> CheckApparelInstallationAsync(ARGNS.Model.Implementations.CompanyConn pParam) {
            return base.Channel.CheckApparelInstallationAsync(pParam);
        }
        
        public ARGNS.Model.Implementations.CompanySAPConfig GetCompanySAPConfig(ARGNS.Model.Implementations.CompanyConn pCompany) {
            return base.Channel.GetCompanySAPConfig(pCompany);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.CompanySAPConfig> GetCompanySAPConfigAsync(ARGNS.Model.Implementations.CompanyConn pCompany) {
            return base.Channel.GetCompanySAPConfigAsync(pCompany);
        }
    }
}
